org.apache.ignite.internal.processors.bulkload

## Class BulkLoadStreamerWriter

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.BulkLoadCacheWriter
  - - org.apache.ignite.internal.processors.bulkload.BulkLoadStreamerWriter

All Implemented Interfaces:
  Serializable, AutoCloseable, IgniteInClosure<IgniteBiTuple<?,?>>

    public class BulkLoadStreamerWriter
    extends BulkLoadCacheWriter

A bulk load cache writer object that adds entries using `IgniteDataStreamer`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BulkLoadStreamerWriter(IgniteDataStreamer<Object,Object> streamer)` Creates a cache writer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(IgniteBiTuple<?,?> entry)` Closure body.
`void` `close()`
`long` `updateCnt()` Returns number of entry updates made by the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkLoadStreamerWriter

    public BulkLoadStreamerWriter(IgniteDataStreamer<Object,Object> streamer)

Creates a cache writer.

Parameters:
  `streamer` - The streamer to use.

### Method Detail

#### apply

    public void apply(IgniteBiTuple<?,?> entry)

Closure body.

Parameters:
  `entry` - Closure argument.

#### close

    public void close()

#### updateCnt

    public long updateCnt()

Returns number of entry updates made by the writer.

Specified by:
  `updateCnt` in class `BulkLoadCacheWriter`
Returns:
  The number of cache entry updates.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020